package com.ozs.service.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author Administrator
 * 报警信息请求参数
 */
@Data
public class ReqMsgAlarmVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 报警的唯一标识 */
    private String alarmId;

    /** 报警时间 */
    private Long alarmTime;

    /**
     * 相机编码
     */
    private String alarmCamera;

    /** 报警里程位置 */
    private String alarmMile;

    /** 报警内容 */
    private String content;

    /** 报警置信度（百分比） */
    private Integer alarmConfidence;

    /** 报警行别 */
    private Integer lineDir;

    /** 报警病害类型（目前只有1泥石流，后续可扩展使用） */
    private Integer alarmType;

    /** 报警病害属性（可以给出泥石流的框定范围） */
    private String alarmAttr;

    /** 报警图片地址 */
    private String[] imageUrls;

    /** 报警行别 */
    private String lineDirStr;
}
